FreeBSD : sox -- input sanitization errors (92cda470-30cb-11e5-a4a5-002590263bf5)

High Nessus Plugin ID 84971


The remote FreeBSD host is missing a security-related update.


oCERT reports :

The sox command line tool is affected by two heap-based buffer overflows, respectively located in functions start_read() and AdpcmReadBlock().

A specially crafted wav file can be used to trigger the vulnerabilities.


Update the affected package.

See Also

Plugin Details

Severity: High

ID: 84971

File Name: freebsd_pkg_92cda47030cb11e5a4a5002590263bf5.nasl

Version: $Revision: 2.1 $

Type: local

Published: 2015/07/24

Modified: 2015/07/24

Dependencies: 12634

Risk Information

Risk Factor: High


Base Score: 7.5

Temporal Score: 6.5

Vector: CVSS2#AV:N/AC:L/Au:N/C:P/I:P/A:P

Temporal Vector: CVSS2#E:ND/RL:OF/RC:C

Vulnerability Information

CPE: p-cpe:/a:freebsd:freebsd:sox, cpe:/o:freebsd:freebsd

Required KB Items: Host/local_checks_enabled, Host/FreeBSD/release, Host/FreeBSD/pkg_info

Exploit Available: false

Exploit Ease: No known exploits are available

Patch Publication Date: 2015/07/23

Vulnerability Publication Date: 2014/11/20

Reference Information

CVE: CVE-2014-8145

BID: 71774